import { IContext } from "./Context";
import { Module } from "./Module";
export declare type Namespace = {
    name: string;
    values: string[];
};
export declare type ModuleNamespace = {
    name: string;
    module: string;
    value: string;
};
export declare type NamespaceLoader = (module: Module, context: IContext) => Promise<Namespace[]>;
export interface INamespaceHandler {
    get names(): string[];
    get(name: string): ModuleNamespace[];
}
